package com.fs.delivery.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.delivery.mapper.CtArticleMapper;
import com.fs.delivery.domain.CtArticle;
import com.fs.delivery.service.ICtArticleService;

/**
 * 文章Service业务层处理
 * 
 * @author fs
 * @date 2026-01-20
 */
@Service
public class CtArticleServiceImpl implements ICtArticleService 
{
    @Autowired
    private CtArticleMapper ctArticleMapper;

    /**
     * 查询文章
     * 
     * @param id 文章主键
     * @return 文章
     */
    @Override
    public CtArticle selectCtArticleById(Long id)
    {
        return ctArticleMapper.selectCtArticleById(id);
    }

    /**
     * 查询文章列表
     * 
     * @param ctArticle 文章
     * @return 文章
     */
    @Override
    public List<CtArticle> selectCtArticleList(CtArticle ctArticle)
    {
        return ctArticleMapper.selectCtArticleList(ctArticle);
    }

    /**
     * 新增文章
     * 
     * @param ctArticle 文章
     * @return 结果
     */
    @Override
    public int insertCtArticle(CtArticle ctArticle)
    {
        ctArticle.setCreateTime(DateUtils.getNowDate());
        return ctArticleMapper.insertCtArticle(ctArticle);
    }

    /**
     * 修改文章
     * 
     * @param ctArticle 文章
     * @return 结果
     */
    @Override
    public int updateCtArticle(CtArticle ctArticle)
    {
        ctArticle.setUpdateTime(DateUtils.getNowDate());
        return ctArticleMapper.updateCtArticle(ctArticle);
    }

    /**
     * 批量删除文章
     * 
     * @param ids 需要删除的文章主键
     * @return 结果
     */
    @Override
    public int deleteCtArticleByIds(Long[] ids)
    {
        return ctArticleMapper.deleteCtArticleByIds(ids);
    }

    /**
     * 删除文章信息
     * 
     * @param id 文章主键
     * @return 结果
     */
    @Override
    public int deleteCtArticleById(Long id)
    {
        return ctArticleMapper.deleteCtArticleById(id);
    }
}
